INKSCAPE(1)

IME
Inkscape – program za uređivanje SVG grafika (skalabilne vektorske grafike).

SAŽETAK
"inkscape [opcije] [datoteka_1 datoteka_2 …]"

opcije:

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGE[,PAGE]
        --pdf-poppler
        --convert-dpi-method=METHOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=FILENAME
        --export-overwrite
        --export-type=TYPE[,TYPE]*
        --export-extension=EXTENSION-ID

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=ŠIRINA
    -h, --export-height=VISINA
        --export-margin=MARGINA

        --export-page=all|n[,a-b]
    -i, --export-id=OBJECT-ID[;OBJECT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=COLORMODE
        --export-png-compression=LEVEL
        --export-png-antialias=LEVEL
        --export-png-use-dithering=BOOLEAN
        --export-ps-level=LEVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALUE

    -I, --query-id=ID-OBJEKTA[,ID-OBJEKTA]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJECT-ID[,OBJECT-ID]*
        --actions=ACTION(:ARG)[;ACTION(:ARG)]*
        --action-list
        --actions-file=FILENAME

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=TAG
        --batch-process
        --shell

OPIS
Inkscape je besplatni uređivač vektorskih grafika otvorenog koda. Nudi bogat skup značajki i naširoko se koristi za umjetničke i tehničke ilustracije kao što su crtani filmovi, crteži, logotipi, tipografija, dijagrami i dijagrami toka. Koristi vektorsku grafiku kako bi omogućio oštre ispise i prikaze u neograničenoj rezoluciji i nije vezan na fiksni broj piksela kao rasterska grafika. Inkscape koristi standardizirani SVG format datoteke kao glavni format, koji podržavaju mnoge druge aplikacije uključujući web preglednike.

Sučelje je osmišljeno da bude udobno i učinkovito za vješte korisnike, u skladu s GNOMEstandardima, kako bi korisnici koji su upoznati s drugim GNOME aplikacijama brzo naučili njegovo sučelje.

SVG je standardni XML format za 2D vektorsko crtanje, koji je definirao W3C. Omogućuje definiranje objekata u crtežu, koristeći staze i jednostavne oblike. Boje, fontovi, širina poteza, itd. su definirani „stil”-svojstvima za objekte. Budući da je SVG standardizirani format, a datoteke u text/xml formatu, korištenje SVG datoteka je moguće u mnogobrojnim programima i u raznim primjenama.

Inkscape koristi SVG kao osnovni format za zapis datoteka. Naš je cilj, izrada programa za crtanje otvorenog koda, koji u potpunsti udovoljava svim uvjetima ovog standarda.

OPCIJE

-?, --help
    Prikazuje poruku pomoći.

--help-all
    Prikazuje sve opcije pomoći.

--help-gapplication
    Prikazuje GApplication opcije.

--help-gtk
    Prikzujei GTK+ opcije.

-V, --version
    Prikazuje Inkscape verziju i datum izgradnje.

--debug-info
    Ispisuje tehničke informacije uključujući verziju Inkscapea, verzije ovisnosti i operacijski sustav. Ove su informacije korisne prilikom ispravljanja grešaka u Inkscapeu i trebale bi se uključiti u izvješćima o greškama.

--system-data-directory
    Ispisuje mapu sustava u kojoj se spremaju datoteke koje se isporučuju s Inkscapeom. To uključuje datoteke koje Inkscape treba za pokretanje (poput definicija jedinica, ugrađena mapiranja tipki, datoteke koje opisuju izgled korisničkog sučelja, teme ikona itd.), osnovna proširenja, resurse (filtri, fontovi, markeri, palete boja, simboli, predloške) i dokumentaciju (datoteke SVG primjera, vodiči).

    Mjesto na kojem Inkscape očekuje mapu sustava može se prepisati varijablom okruženja L <INKSCAPE_DATADIR>.

--user-data-directory
    Ispisuje mapu korisničkih profila u kojem se spremaju datoteke s podacima i postavkama korisnika. Prilagođena proširenja i resursi (filtri, fontovi, markeri, palete boja, simboli, predlošci) moraju se instalirati u podmape ove mape. Osim toga, smještanje datoteke s istim imenom kao neke datoteke u mapi sustava ovdje, omogućuje nadjačavanje većine standardnih postavki u mapi sustava (npr. standardni predlošci, datoteke korisničkog sučelja itd.).

    Standardno mjesto mape korisničkog profila može se prepisati varijablom okruženja L <INKSCAPE_PROFILE_DIR>.

-p, --pipe
    Čita ulaznu datoteku iz standardnog ulaza (stdin).

--pages=PAGE
    Uvozi zadani popis stranica odvojenih zarezima iz PDF-a ili višestranične SVG datoteke.

    Ovo zamijenjuje --pdf-page iz prethodnih Inkscape verzija.

--pdf-poppler
    Inkscape standardno uvozi PDF datoteke putem interne biblioteke (izvedene iz popplera). Tekst se sprema kao tekst. Mreže se pretvaraju u pločice. Umjesto toga, upotrijebi --pdf-poppler za uvoz putem vanjske biblioteke (poppler s cairo pozadinskim sustavom). Tekst se sastoji od grupe, koja sadrži klonirane grafeme, gdje je svaki grafem staza. Slike su spremljene unutar dokumenta. Mreže uzrokuju iscrtavanje cijelog dokumenta u obliku rasterske slike.

--convert-dpi-method=METODA
    Odaberi metodu za skaliranje starijih (prije-0.92) verzija datoteka, koje zbog prelaska iz 90 DPI na 96 DPI rezoluciju mogu biti nešto manje prikazane. Moguće vrijednosti su "none" bez promijena (dokument će biti prikazan sa 94% orginalne vrijednosti), "scale-viewbox" dokument će biti kao cijelina skaliran (pojedinačne veličine ostaju iste), i "scale-document" (sve veličine će biti skalirane pojedinačno).

--no-convert-text-baseline-spacing
    Ne ispravljaj razmak između redaka starijih datoteka prilikom otvaranja automatski (starijih od 0.92). Inkscape 0.92 primjenjuje CSS standardnu definiciju osobine 'line-height', koja odudara od starijih verzija. Zadani razmak između redaka starijih verzija Inkscapea od 0.92, bit će prilagođen prilikom učitavanja, kako bi se sačuvao prijelom teksta. Ova opcija u naredbenom retku omogućuje zanemarivanje ovog podešavanja.

-o, --export-filename=DATOTEKA
    Postavlja ime izlazne datoteke. Standardno se koristi ime ulazne datoteke. Ako se koristi i L <--export-type>, datotečni nastavak će se prilagoditi prema potrebi (ili dodati). Inače će se vrsta datoteke za izvoz odrediti na osnovi nastavka zadane datoteke.

    Upotreba posebne datoteke "-" omogućuje Inkscapeu zapisati slikovne podatke u standardni izlaz (stdout).

--export-overwrite
    Prepisuje datoteku unosa.

--export-type=VRSTA[,VRSTA]*
    Odredi vrstu datoteke za izvoz. Moguće vrijednosti su: svg, png, ps, eps, pdf, emf, wmf, xaml i svaka vrsta datoteke za koju postoji proširenje za izvoz. Moguće je izvesti više od jedne vrste istovremeno.

    Misli na to, da PostScript ne dozvoljava transparenciju, tako da će svi transparentni objekti u originalnom SVG formatu biti izvezeni rasterom. Korišteni fontovi se ne ugrađuju kompletno, već kao podskupine. Zadano izvozno područje je stranica. Možeš ga odrediti i na crtež pomoću --export-area-drawing.

    Misli na to, da PDF format zadržava transparentnost u izvornom SVG-u.

--export-extension=EXTENSION-ID
    Omogućuje određivanje ekstenzije rezultata koja će se koristiti za izvoz, što je posebno važno ako postoji više od jedne opcije izvoza za određenu vrstu datoteke. Ako je postavljeno, ekstenzija datoteke u --export-filename i --export-type može biti izostavljena. Osim toga, ako je postavljeno, može se zadati samo jedna vrsta datoteke u --export-type.

-C, --export-area-page
    Prilikom izvoza u SVG, PNG, PDF i PS formate, izvozno područje je stranica. Ovo je zadano za SVG, PNG, PDF i PS, tako da to nije potrebno posebno odrediti, ukoliko se ne koristi --export-id za izvoz određenog objekta. Ova opcija trenutačno ne podržava EPS format.

-D, --export-area-drawing
    Prilikom izvoza u SVG, PNG, PDF, PS i EPS formate, izvozno područje je crtež (a ne stranica), npr. granični okvir svih objekata u dokumentu (ili izvezeni objekt, ukoliko se koristi --export-id). S ovom opcijom, izvezena slika će prikazati sve vidljive objekte dokumenta, bez rubova ili isječaka. Ovo je zadano područje za izvoz u EPS format. Za izvoz u PNG format, naredba se može koristiti zajedno s --export-use-hints.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    U PNG izvozu postavi izvezeno područje dokumenta, navedeno u px (1/96 in). Standardno se izvozi cijela stranica dokumenta. Točka (0,0) se nalazi u donjem lijevom uglu.

--export-area-snap
    Za PNG izvoz, privuci područje izvoza prema van na najbližu vrijednost cijelog broja piksela. Ako koristiš zadanu rezoluciju za izvoz od 96 DPI, i ako tvoje grafike koriste privlačenje piksela kako bi se umanjila primjena zaglađivanja, ovaj prekidač dozvoljava zadržavanje tog poravnanja piksela, čak i ako izvoziš granični okvir nekog objekta (pomoću --export-id ili --export-area-drawing), koji sam po sebi ne koristi poravnanje piksela.

-d DPI, --export-dpi=DPI
    Rezolucija za izvoz u PNG format. Koristi se također za iscrtavanje objekata s rasterom ili filtrom, prilikom izvoza u PS, EPS, ili PDF format (samo ukoliko ne koristiš --export-ignore-filters, čime se spriječava rasterizacija objekta). Standardna vrijednost je 96 DPI, koja odgovara jednoj SVG korisničkoj jedinici (px, tzv. „korisnička jedinica”), te izvozi 1 bitmap piksel. Ova vrijednost nadjačava DPI savjet, ako se koristi uz --export-use-hints.

-w ŠIRINA, --export-width=ŠIRINA
    Širina stvorenog bitmapa, u pikselima. Ova vrijednost nadjačava postavku --export-dpi (ili DPI savjet, ako se koristi zajedno s --export-use-hints).

-h VISINA, --export-height=VISINA
    Visina stvorenog bitmapa, u pikselima. Ova vrijednost nadjačava postavku --export-dpi (ili DPI savjet, ako se koristi zajedno s --export-use-hints).

--export-margin=MARGINA
    Dodaje marginu okolo područja izvoza. Veličina margine određena je u jedinicama veličine stranice (za SVG) ili milimetrima (za PS/PDF). Opcija trenutačno nema efekta na druge formate izvoza.

-i ID, --export-page=all|n[,a-b]*
    Izvozi samo odabrane stranice. Ako je određeno više od jedne stranice, rezultirajući dokument može sadržati više stranica ako format to podržava.

    Vrijednost može biti popis brojeva stranica odvojeni zarezom ili rasponi stranica od dva broja odvojena crticom. Ključna riječ „sve” se može koristiti za označavanje da će se izvesti sve stranice.

-i ID, --export-id=ID-OBJEKTA[;ID-OBJEKTA]*
    Za izvoz u PNG, PS, EPS, PDF i običan SVG format, ovo je ID vrijednost svojstva objekta koji želiš izvesti iz dokumenta – ostali objekti se ne izvoze. Granični okvir objekta je standardno određuje područje izvoza – nadjačaj ovu postavku pomoću --export-area (samo za PNG) ili --export-area-page.

    Ako odrediš mnoge vrijednosti s popisom objekata odvojenih zarezom, svaka će se izvesti zasebno. U tom će se slučaju izvezene datoteke zvati ovako: [datoteka_unosa]_[ID].[vrsta_izvoza]

-j, --export-id-only
    Za PNG i obični SVG format, izvezi samo objekte, čiji ID je zadan u --export-id. Svi ostali objekti će se sakriti i neće se prikazaii u izvozu, čak ni u slučaju da prekrivaju izvezeni objekt. Bez --export-id, ova se opcija zanemaruje.

-l, --export-plain-svg
    Izvezi dokumente u obični SVG format, bez sodipodi: ili inkscape: znakovnih mjesta i bez RDF metapodataka. Koristi --export-filename za određivanje datoteke.

--export-png-color-mode=COLORMODE
    Postavlja modus boja (broj bitova i vrstu boja) za izvezene bitmap slike (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=LEVEL
    Postavi razinu kompresije za izvoz PNG-a (od 0 do 9); standardna vrijednost je 6.

--export-png-antialias=LEVEL
    Postavi razinu zaglađivanja rubova za PNG izvoz (od 0 do 3); standardna vrijednost je 2.

--export-png-use-dithering=false|true
    Prisilno koristi točkanje ili ga deaktivira (za ovo Inkscape izgradnja mora podržati točkanje).

--export-ps-level=RAZINA
    Odrdi verziju jezika za PS i EPS izvoz. Podržane su PostScript razina 2 i 3. Standardno se koristi 3.

--export-pdf-version=VERZIJA
    Odaberi PDF verziju za izvezenu PDF datoteku. Ovom se opcijom prikazuje izbornik PDF verzija, koji se koristi u dijaloškom okviru grafičkog sučelja za PDF izvoz. U izborniku moraš odrediti jednu moguću verziju, npr. „1.4”. Zadana vrijednost za PDF izvoz je verzija „1.4”.

-T, --export-text-to-path
    Konvertiraj tekstualne objekte u staze prilikom izvoza, ukoliko je moguće (za izvoz u PS, EPS, PDF i SVG formate).

--export-latex
    (za izvoz u PS, EPS i PDF format) Koristi se za stvaranje slika za LaTeX dokumente, u kojima je tekst slike posložen LaTeX-om. Prilikom izvoza u PDF/PS/EPS format, ova opcija razdvaja izvoz u PDF/PS/EPS datoteku (npr. određeno pomoću --export-pdf) i u LaTeX datoteku. Tekst se neće ispisati u PDF/PS/EPS datoteku. Umjesto toga će se pojaviti u LaTeX datoteci. Ova LaTeX datoteka uključuje PDF/PS/EPS. Unosom (\input{image.tex}), LaTeX datoteka u tvojem LaTeX dokumentu će prikazati sliku, a sav tekst će biti posložen LaTeX-om. Pogledaj završnu LaTeX datoteku za daljnje informacije. Također pogledaj GNUPlot-ov ’epslatex' izlazni terminal.

--export-ignore-filters
    Izvezi objekte s filterom (npr. sa zamućenjem) u vektorskom formatu, zanemarujući pri tome filtre (za izvoz u PS, EPS i PDF formate). Svi objekti s filterom se iscrtavaju pomoću --export-dpi (zadano je 96 dpi), zadržavajuči pri tome izgled.

-t, --export-use-hints
    Tijekom izvoza u PNG, koristi datoteku za izvoz, kao i DPI savjete, koji su spremljeni u izvezenom objektu (samo s --export-id). Ovi se savjeti postavljaju automatski prilikom izvoza odabira, direktno u Inkscapeu. Znači, ako na primjer iz Inkscape sučelja izvoziš oblik s ID oznakom id="path231" kao /home/me/oblik.png s rezolucijom od 300 DPI-a iz datoteke dokument.svg, i ako taj dokument spremiš, bit ćeš u stanju ponovo izvesti taj oblik u istu datoteku s jednakom rezolucijom, pomoću

        inkscape -i path231 -t dokument.svg

    Ako koristiš --export-dpi, --export-width ili --export-height s ovom opcijom, tada će se DPI savjet zanemariti, te će se koristiti vrijednost iz naredbenog retka. Ako koristiš --export-filename s ovom opcijom, tada će se savjet datoteke zanemariti, te će se koristiti datoteka iz naredbenog retka.

-b BOJA, --export-background=BOJA
    Boja pozadine za izvezenu PNG datoteku. Može biti bilo koja SCV podržana boja, npr. „#ff007f” ili „rgb(255, 0, 128)”. Ako se boja ne zada, postavlja se boja stranice koja je određena u Inkscape postavkama dokumenta (spremljena u pagecolor= svojstvu za sodipodi:namedview).

-y VRIJEDNOST, --export-background-opacity=VRIJEDNOST
    Neprozirnost pozadine izvezene PNG datoteke. Vrijedonst može biti između 0.0 i 1.0 (0.0 = prozirno, 1.0 = neprozirno) ili veća od 1, sve do 255 (255 = neprozirno). Ako nije zadano, i ako se opcija -b ne koristi, koristit će se neprozirnost stranice kako je zadana u Inkscapeovim postavkama za dokument (spremljene u inkscape:pageopacity= svojstvo od sodipodi:namedview). Ako nije zadano, ali se koristi opcija -b, tada će se koristiti vrijednost 255 (potpuno neprozirno).

-I, --query-id=ID-OBJEKTA[,ID-OBJEKTA]*
    Postavi ID oznaku objekta, čije dimenzije tražiš. Ako nije postavljena, opcije upita će vratiti dimenzije crteža (tj. sve objekte dokumenta), a ne dimenzije stranice ili prikaznog okvira, tzv. viewbox.

    Ako odrediš mnoge vrijednosti s popisom objekata odvojenih zarezom, bilo koji upit za geometriju (npr. --query-x) vratit će zarezom odvojeni popis vrijednosti koji odgovara popisu objekata u --query-id.

-S, --query-all
    Ispisuje zarezom razdijeljeni popis svih objekata u dokumentu, s njihovim definiranim ID oznakama i vrijednostima za x, y, širinu i visinu.

-X, --query-x
    Upitaj X-koordinatu crteža ili, ako je zadano, X-koordinatu objekta s --query-id. Rezultirajuća vrijednost je u px (SVG-korisničke mjerne jedinice).

-Y, --query-y
    Upitaj Y-koordinatu crteža ili, ako je zadano, Y-koordinatu objekta s --query-id. Rezultirajuća vrijednost je u px (SVG-korisnička mjerna jedinica).

-W, --query-width
    Upitaj širinu crteža ili, ako je zadano, širinu objekta s --query-id. Rezultirajuća vrijednost je u px (SVG-korisnička mjerna jedinica).

-H, --query-height
    Upitaj visinu crteža ili, ako je zadano, visinu objekta s --query-id. Rezultirajuća vrijednost je u px (SVG-korisnička mjerna jedinica).

--vacuum-defs
    Ukloni sve stavke iz "<defs>" odjeljka SVG datoteke. Ako se ova opcija pokreće zajedno s --export-plain-svg, onda će samo izvezene datoteke biti time pogođene. Ako se opcija koristi sama, određena će datoteka biti promijenjena.

--select=ID-OBJEKTA[,ID-OBJEKTA]*
    Naredbom --select odabiru se objekti s određenim ID oznakama. Moguće je odabrati mnoge objekte pomoću zarezom odvojenog popisa. Time se omogućuje upotreba raznih naredbi, koji utječu na objekte. Za uklanjanje svih odabira, koristi "--verb=EditDeselect". Mogući ID-ovi objekata ovise o odabranom dokumentu za učitavanje.

--actions=RADNJA(:ARGUMENT)[;RADNJA(:ARGUMENT)]*
    Radnje su nova metoda za pozivanje funkcija s jednim opcionalnim parametrom. Za dobivanje popisa dostupnih ID-ova radnji, koristi opciju naredbenog retka L <--action-list>. Na kraju će se sve naredbe zamijeniti radnjama. Privremeno se bilo koja naredba može upotrijebiti kao radnja (bez parametra). Napominjemo da većina naredbi zahtijeva grafičko sučelje (čak i ako ga ne koriste). Za automatsko zatvaranje sučelja nakon obrade, upotrijebi L <--batch-process>. Pored toga, sve opcije za izvoz imaju odgovarajuće radnje (ukloni crtice '--' ispred opcije i zamijeni znak jednakosti '=' s dvotočkom ':').

    Ako se koriste samo radnje, mora se koristiti --batch-process.

    Izvoz se može prisiliti bilo kada radnjom export-do. To omogućuje višestruki izvoz iz jedne datoteke.

--action-list
    Ispisuje popis svih dostupnih radnji.

--actions-file=FILENAME
    Izvrši sve radnje navedene u datoteci. Sadržaj datoteke mora biti formatiran pomoću sintakse --actions. Ova opcija poništava argument --actions kada je oboje zadano.

-g, --with-gui
    Pokušaj koristiti grafičko sučelje(GUI) (na Unix sustavu koristi X server, čak i ako $DISPLAY nije postavljen).

-q, --active-window
    Umjesto pokretanja novog Inkscape procesa, ovo će pokrenuti naredbu u posljednjem fokusiranom Inkscape dokumentu.

--display=DISPLAY
    Postavlja X prikaz koji će se koristiti za Inkscape prozor.

--app-id-tag=TAG
    Stvara jedinstvenu instancu Inkscapea s ID-om aplikacije „org.inkscape.Inkscape.TAG”. Ovo je korisno za odvajanje Inkscape instanci pri pokretanju različitih verzija Inkscapea ili za istodobno korištenje različitih datoteka postavki.

--batch-process
    Zatvori grafičko sučelje nakon izvršavanja svih radnji ili naredbi.

--shell
    Ovim parametrom, Inkscape prelazi u interaktivni terminal s naredbenim retkom. U ovom modusu, unosiš naredbene upite, a Inkscape ih izvršava, bez potrebe za ponovnim pokretanjem Inkscapea za svaku naredbu zasebno. Ovaj način upita je najkorisniji prilikom korištenja skripta i servera: ne pruža nove mogućnosti, međutim omogućuje povećanje brzine i potrebnog spremnika za bilo koji skript, koji uzastopno poziva Inkscape za izvršavanje zadataka u naredbenom retku (npr. izvoz ili konvertiranje).

    U modusu ljuske, Inkscape kao unos očekuje niz radnji (ili naredbi). Oni će se obrađivati redak po redak – znači kad se pritisne enter. Moguće je (ali nije nužno) sve radnje staviti u jedan redak.

    Ova se opcija može kombinirati s parametrom --active-window za izvršavanje naredbi ljuske u već otvorenom Inkscape dokumentu.

    Sljedeći primjer otvara datoteku i izvozi je u dva različita formata, zatim otvara drugu datoteku i izvozi jedan objekt:

        file-open:datoteka1.svg; export-type:pdf; export-do; export-type:png; export-do
        file-open:datoteka2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do

KONFIGURACIJA
Datoteka za osnovnu konfiguraciju se nalazi u ~/.config/inkscape/preferences.xml; sprema razne postavke, koje se u Inkscapeu mogu promijeniti (uglavnom u dijaloškom sučelju za Inkscape postavke). U pod-direktoriju se mogu spremiti i vlastite:

$HOME/.config/inkscape/extensions/ - proširenja.

$HOME/.config/inkscape/fonts/ - fontovi.

$HOME/.config/inkscape/icons/ - kompleti ikona.

$HOME/.config/inkscape/keys/ – mapiranja tipkovnice.

$HOME/.config/inkscape/paint/ - mustre i šrafure.

$HOME/.config/inkscape/palettes/ - palete.

$HOME/.config/inkscape/symbols/ - datoteke simbola.

$HOME/.config/inkscape/templates/ – predlošci za nove datoteke.

$HOME/.config/inkscape/ui/ - datoteke kosriničkog sućečlja.

DIJAGNOZE
Pri uspjehu, program vraća nulu; pri neuspjehu vraća ne-nulu.

Razne poruke o greškama i upozorenjima se mogu ispisati u STDERR or STDOUT. U slučaju da se program ponaša na neuobičajen način prilikom određene SVG datoteke, ili čak i prekine rad, korisno je pogledati poruke u tom ispisu.

PRIMJERI
Mada je Inkscape namijenjen za rad s grafičkim sučeljem, može se također koristiti za obradu SVG-ova putem naredbenog retka.

Otvori SVG datoteku u grafičkom sučelju:

    inkscape datoteka.svg

Izvezi SVG datoteku u PNG format sa zadanom rezolucijom od 96 DPI (jedna SVG-korisnička mjerna jedinica je jednaka jednom bitmap piksleu):

    inkscape --export-filename=datoteka.png datoteka.svg

Isto kao prethodno, ali prisili veličinu PNG datoteke da bude 600 × 400 piksela:

    inkscape --export-filename=datoteka.png -w 600 -h 400 datoteka.svg

Isto kao prethodno, ali izvezi crtež (granični okvir svih objekata), a ne stranicu:

    inkscape --export-filename=datoteka.png --export-area-drawing datoteka.svg

Izvezi dvije različite datoteke u četiri različite datotečne formate:

    inkscape --export-type=png,ps,eps,pdf datoteka1.svg datoteka2.svg

Izvezi objekt s oznakom id="text1555" u PNG format, koristeći pri tome datoteku i rezoluciju rezultata, koje su već korištene prilikom zadnjeg izvoza iz sučelja:

    inkscape --export-id=text1555 --export-use-hints datoteka.svg

Isto kao prethodno, ali koristi rezoluciju od 96 DPI, odredi datoteku, te privuci izvezeno područje na najbližu višu cjelobrojnu vrijednost SVG korisničkih jedinica (kako bi se zadržalo poravnavanje piksela, te smanjilo zaglađivanje):

    inkscape --export-id=text1555 --export-filename=tekst.png --export-area-snap datoteka.svg

Konvertiraj Inkscape SVG dokument u obični SVG:

    inkscape --export-plain-svg --export-filename=datoteka2.svg datoteka1.svg

Konvertiraj SVG dokument u EPS, konvertiraj sav tekst u staze:

    inkscape --export-filename=datoteka.eps --export-text-to-path datoteka.svg

Upitaj širinu objekta s oznakom id="text1555":

    inkscape --query-width --query-id=text1555 datoteka.svg

Dupliciraj objekte s oznakama id="path1555" i id="rect835", rotiraj duplikate za 90 stupnjeva, spremi SVG i zatvori program:

    inkscape --select=path1555,rect835 --actions="duplicate;object-rotate-90-cw" --export-overwrite filename.svg

Odaberi sve objekte s oznakom elipse, rotiraj ih za 30 stupnjeva, spremi SVG i zatvori program.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite filename.svg

Izvezi objekt s ID oznakom „MojTrokut” s polu-transparetnom ljubičastom pozadinom u datoteku trokut_ljubičasti.png i s crvenom pozadinom u datoteku trokut_crveni.png.

    inkscape --actions="export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangle_purple.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangle_red.png; export-do" ime-datoteke.svg

Čitaj SVG datoteku iz standardnog ulaza (stdin) i izvezi je u PDF format:

    cat datoteka.svg | inkscape --pipe --export-filename=datoteka.pdf

Izvezi SVG datoteku u PNG format i ispiši je u standardni izlaz (stdout). Nakon toga je konvertiraj u JPG format pomoću programa ImageMagick:

    inkscape --export-type=png --export-filename=- datoteka.svg | convert - datoteka.jpg

Isto kao prethodno, ali također čita iz procesa (u ovom slučaju je moguće zanemariti --export-filename)

    cat datoteka.svg | inkscape --pipe --export-type=png | convert - datoteka.jpg

VARIABLE OKRUŽENJA

INKSCAPE_PROFILE_DIR
    Postavlja korisničku lokaciju za direktorij korisničkog profila.

INKSCAPE_DATADIR
    Postavlja korisničku lokaciju za direktorij Inkscape podataka. (npr. $PREFIX/share ako se Inkscape-podaci za dijeljenje u $PREFIX/share/inkscape nalaze).

INKSCAPE_LOCALEDIR
    Postavlja korisničku lokaciju za katalog prevođenja.

Za više detalja pogledaj <http://wiki.inkscape.org/wiki/index.php/Environment_variables>

DALJNJE INFORMACIJE
Središnje mjesto za informacije o programu Inkscape se nalazi na <https://www.inkscape.org/>. Web stranica sadrži novosti, dokumentaciju, vježbe, primjere, arhivu pretplatničkih lista, najnoviju izdanu verziju programa, bazu podataka o greškama i podnesenim zahtijevima za proširenje programa, forume itd.

POGLEDAJ TAKOĐER
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Paket za ispitivanje SVG sukladnosti: <https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

SVG ispitivač: <https://validator.w3.org/>

Specifikacija za skalabilne vektorske grafike (SVG) 1.1 W3C preporuka, 16. kolovoza 2011. <https://www.w3.org/TR/SVG11/>

Specifikacija za skalabilne vektorske grafike (SVG) 1.2 W3C radna verzija, 13. travnja 2005. <https://www.w3.org/TR/SVG12/>

Specifikacija za skalabilne vektorske grafike (SVG) 2 W3C preporučena verzija, 15. rujna 2016. <https://www.w3.org/TR/SVG2/>

Document Object Model (DOM): Level 2 Core W3C preporuka, 13. studenog 2000. <https://www.w3.org/TR/DOM-Level-2-Core/>

NAPOMENE O GRAFIČKOM SUČELJU
Za upoznavanje s grafičkim sučeljem programa, pročitaj priručnik (Pomoć > Priručnik za Inkscape) i vježbe (Pomoć > Vježbe).

Osim SVG formata, Inkscape može uvesti (Datoteka > Uvezi) i većinu bitmap formata (PNG, BMP, JPG, XPM, GIF, itd.), neformatirani tekst (zahtijeva Perl), PS i EPS (zahtijeva Ghostscript), PDF i AI format (AI verzija 9.0 ili novija).

Inkscape izvozi PNG slike u 32-bitnom formatu (Datoteka > Izvezi PNG slike), kao i AI, PS, EPS, PDF, DXF, te još neke druge formate, putem Datoteka > Spremi kao.

Inkscape je u stanju koristiti pritisak i nagib olovke grafičkog tableta za određivanje širine, kuta i jačine mnogih alata, uključujući kaligrafsko pero.

Inkscape uključuje grafičko sučelje za Potrace precrtavanje bitmapa (<http://potrace.sf.net>), koji je ugrađen u Inkscape.

Inkscape je u stanju koristiti vanjske skripte (stdin-to-stdout filteri), koji se prikazuju u izborniku Proširenja. Skript može imati dijaloško sučelje za postavljanje raznih parametara, te može iščitati ID oznake objekata, za primjenu akcije putem naredbenog retka. Inkscape također sadrži veliki broj efekata, programiranih Python jezikom.

TIPKOVNE FUNKCIJE
Za prikaz cjelokupnog popisa tipkovnih i mišjih prečaca, pogledaj doc/keys.html ili koristi naredbe za tipkovnicu i miša u izborniku za pomoć.

PROGRAMSKE GREŠKE
Mnoge greške su već poznate. Na web stranici (<https://www.inkscape.org/>) možeš pregledati postojeće greške ili prijaviti nove. Trenutačno poznate greške možeš također pročitati u bilješkama tvojeg izdanja (datoteka „NEWS”).

POVIJEST
Stvaranje temeljnog koda današnjeg Inkscapea je započeto 1999. kao GNOME program za ilustriranje, zvan Gill, a stvorio ga je Raph Levien. Osnovna ideja je bila, da Gill podržava sav SVG format. Raph je ugradio model za prikazivanje PostScript bezier krivulja, poteza i ispuna, vrsta krajeva staza, načina spajanja linija, teksta, itd. Raphova Gill stranica se nalazi na <http://www.levien.com/svg/>. Rad na programu Gill prekinut je 2000. godine.

Sljedeća inkarnacija temeljnog koda je bio vrlo popularni program Sodipodi, a vodio ga je Lauris Kaplinski. U roku od nekoliko godina je temeljni kȏd pretvoren u moćan program za ilustriranje, s novim svojstvima, višejezičnom podrškom, portiranjem na Windows i druge sustave, te uklanjanjem ovisnosti.

Inkscape su 2003. osnovali četiri aktivna razvijatelja Sodipodi programa – Bryce Harrington, MenTaLguY, Nathan Hurst i Ted Gould. Željeli su promijeniti smjer razvoja temeljnog koda, fokusirajući se pri tome na usklađenost sa SVG formatom, na dizajn i način rada sučelja, te na razvijanje uz pomoć drugih razvijatelja. Projekt se razvijao brzo, te je pridobio mnoštvo vrlo aktivnih razvijatelja, kao i nova svojstva.

Projekt je na početku bio fokusiran na stabiliziranju i internacionalizaciji programskog koda. Originalni kȏd za iscrtavanja, koji je preuzet od Sodipodija, je povezan s mnogobrojnim matematičkim funkcijama, koje su uzrokovale prekidanje rada programa. Ova vrsta iscrtavanja je zatim zamijenjena kodom Livarot, koji također nije bio savršen, međutim daleko stabilniji od prijašnjeg. Projektu je dodan postupak čestog prijavljivanja promjena koda, kao i njihovih prikaza putem slika. Ovo je omogućilo brže pronalaženje novih grešaka, kao i provjeru njihovih ispravaka od strane korisnika. Kao rezultat svega toga, Inkscape je poznat za stabilna i pouzdana izdanja.

Na sličan način, nastojalo se proširiti krug korisnika pomoću prevođenja sučelja na razne jezike, što je uveliko povećalo broj suradnika diljem svijeta.

Inkscape ima vrlo pozitivan utjecaj na razvoj programa otvorenog koda općenito, kao i na prihvatljivost šire publike te vrste programa, iako je on „samo program za crtanje”. Uz to, Inkscape pruža alate za stvaranje i dijeljenje ikona, oblikovanja umjetničkih djela za web stranice, itd.

AUTORI
Temeljni kȏd nastao je zahvaljujući velikom broju ljudi, koji su pridonijeli razvitku programa. Popis koji slijedi zasigurno nije cjelovit, no ipak služi kao prikaz mnogobrojnih pojedinaca, koji su pomogli stvoriti ovaj program:

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

AUTORSKA PRAVA I LICENCA
Copyright (C) 1999. – 2023. autora.

Inkscape je besplatni softver; može se dalje distribuirati i/ili modificirati prema uvjetima GPL verzije 2 ili novije.